Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040289
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSminoralways2019-02-28 09:582019-03-28 14:56
ReporterdmiguelezView Statuspublic 
Assigned Todmiguelez 
PrioritynormalResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision5d39e3ab49af
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040289: Add a new GDPR Consent check for contacts

DescriptionAdd a new GDPR Consent check for contacts to reflect if they agrees with GDPR Terms
Steps To ReproduceAdd a new GDPR Consent check for contacts to reflect if they agrees with GDPR Terms
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0110177)
hgbot (developer)
2019-03-04 11:26

Repository: erp/devel/pi
Changeset: 5d39e3ab49af806e6f0fd700f6f3ae0ea9b07db3
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Mar 01 14:46:12 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5d39e3ab49af806e6f0fd700f6f3ae0ea9b07db3 [^]

Fixes Issue 40289. Adds new 'Consent for Customer Data Processing' Check in Contact Tab
of Business Partner Window

---
M src-db/database/model/tables/C_BPARTNER.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0110178)
hgbot (developer)
2019-03-04 11:26

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b97160ef11d6aea452201f66dbe9325d8f375b2d
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Mar 01 14:47:01 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b97160ef11d6aea452201f66dbe9325d8f375b2d [^]

Related to Issue 40289: Adds new 'Consent for Customer Data Processing' check
in POS and allows to retrieve and save the data in backend.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/master/BPartnerFilterProperties.java
M src/org/openbravo/retail/posterminal/master/BusinessPartnerProperties.java
M web/org.openbravo.retail.posterminal/js/model/businesspartner.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/components/sharedcomponents.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/customerdetailview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/editcreatecustomerform.js
---
(0110179)
hgbot (developer)
2019-03-04 11:26

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 549d27d490dd9e763abf9b788892bb8716ffaabd
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Mar 04 11:23:34 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/549d27d490dd9e763abf9b788892bb8716ffaabd [^]

Related to Issue 40289: Changed label in WebPOS to make it shorter

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0110180)
hgbot (developer)
2019-03-04 11:26

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: e000042d9275df7edb8a728de74e7379731c16f3
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Mar 04 11:24:24 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/e000042d9275df7edb8a728de74e7379731c16f3 [^]

Related to Issue 40289: Updated sampledata with new created flag
in Business Partner

---
M referencedata/sampledata/The_White_Valley_Group/C_BPARTNER.xml
---
(0110181)
hgbot (developer)
2019-03-04 11:27

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: f2065df00943112b67c4d3050b40337c7ea3090e
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Mar 04 11:25:01 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/f2065df00943112b67c4d3050b40337c7ea3090e [^]

Related to Issue 40289: Updated sampledata with new created flag
in Business Partner

---
M referencedata/sampledata/Retail_Test/C_BPARTNER.xml
---
(0110187)
hgbot (developer)
2019-03-04 12:04

Repository: erp/pmods/org.openbravo.retail.testsampledata-orderpreparation
Changeset: f2065df00943112b67c4d3050b40337c7ea3090e
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Mar 04 11:25:01 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata-orderpreparation/rev/f2065df00943112b67c4d3050b40337c7ea3090e [^]

Related to Issue 40289: Updated sampledata with new created flag
in Business Partner

---
M referencedata/sampledata/Retail_Test/C_BPARTNER.xml
---
(0110342)
jorge-garcia (developer)
2019-03-11 11:12

Inline styles are no longer allowed.

In sharedcomponents.js at line 595:
First, change style by class
Second, create a class in obpos_main.css with the previous style (or use one it already exists).
(0110375)
hgbot (developer)
2019-03-12 11:27

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 002b035eac111311064abfceca25ae32765dd536
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Mar 12 11:27:10 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/002b035eac111311064abfceca25ae32765dd536 [^]

Related to Issue 40289: Moved inline style into css file.

---
M web/org.openbravo.retail.posterminal/css/obpos-main.css
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/components/sharedcomponents.js
---
(0110381)
jorge-garcia (developer)
2019-03-12 13:34

Code reviewed and tested
(0110842)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-02-28 09:58 dmiguelez New Issue
2019-02-28 09:58 dmiguelez Assigned To => Retail
2019-02-28 09:58 dmiguelez Triggers an Emergency Pack => No
2019-03-04 11:26 hgbot Checkin
2019-03-04 11:26 hgbot Note Added: 0110177
2019-03-04 11:26 hgbot Status new => resolved
2019-03-04 11:26 hgbot Resolution open => fixed
2019-03-04 11:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5d39e3ab49af806e6f0fd700f6f3ae0ea9b07db3 [^]
2019-03-04 11:26 hgbot Checkin
2019-03-04 11:26 hgbot Note Added: 0110178
2019-03-04 11:26 hgbot Checkin
2019-03-04 11:26 hgbot Note Added: 0110179
2019-03-04 11:26 hgbot Checkin
2019-03-04 11:26 hgbot Note Added: 0110180
2019-03-04 11:27 hgbot Checkin
2019-03-04 11:27 hgbot Note Added: 0110181
2019-03-04 12:04 hgbot Checkin
2019-03-04 12:04 hgbot Note Added: 0110187
2019-03-11 11:12 jorge-garcia Assigned To Retail => dmiguelez
2019-03-11 11:12 jorge-garcia Note Added: 0110342
2019-03-11 11:12 jorge-garcia Status resolved => new
2019-03-11 11:12 jorge-garcia Resolution fixed => open
2019-03-11 11:12 jorge-garcia Assigned To dmiguelez => jorge-garcia
2019-03-11 11:12 jorge-garcia Assigned To jorge-garcia => dmiguelez
2019-03-11 11:12 jorge-garcia Review Assigned To => jorge-garcia
2019-03-12 11:27 hgbot Checkin
2019-03-12 11:27 hgbot Note Added: 0110375
2019-03-12 12:55 jorge-garcia Status new => scheduled
2019-03-12 12:55 jorge-garcia Status scheduled => resolved
2019-03-12 12:55 jorge-garcia Fixed in Version => RR19Q2
2019-03-12 12:55 jorge-garcia Resolution open => fixed
2019-03-12 13:34 jorge-garcia Note Added: 0110381
2019-03-12 13:34 jorge-garcia Status resolved => closed
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110842


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker